Api referenceRoutesCache

Prepare cache artifacts

Prepares Craftless-owned cache and launch material for a Minecraft version and loader before a client is created. This resolves metadata, artifacts, libraries, assets, native paths, and launch inputs without exposing launcher internals.

POST
/cache:prepare

Prepares Craftless-owned cache and launch material for a Minecraft version and loader before a client is created. This resolves metadata, artifacts, libraries, assets, native paths, and launch inputs without exposing launcher internals.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/cache:prepare" \  -H "Content-Type: application/json" \  -d '{    "loader": "FABRIC"  }'
{  "minecraftVersion": "string",  "loader": "FABRIC",  "loaderVersion": "string",  "cacheRoot": "string",  "minecraftVersionRoot": "string",  "loaderRoot": "string",  "runtimeRoot": "string",  "manifest": "string",  "status": "string",  "artifacts": [    {      "kind": "string",      "handle": "string",      "source": "string",      "status": "string"    }  ],  "launch": {    "classpath": [      "string"    ],    "nativePath": [      "string"    ],    "javaExecutable": "string",    "arguments": "string"  }}
{  "code": "string",  "message": "string"}